org.springframework.jca.cci.object

## Class MappingRecordOperation.RecordCreatorImpl

- java.lang.Object
- - org.springframework.jca.cci.object.MappingRecordOperation.RecordCreatorImpl

All Implemented Interfaces:
  RecordCreator

Enclosing class:
  MappingRecordOperation

    protected class MappingRecordOperation.RecordCreatorImpl
    extends Object
    implements RecordCreator

Implementation of RecordCreator that calls the enclosing class's `createInputRecord` method.

### Constructor Summary

Constructors
Constructor and Description
`MappingRecordOperation.RecordCreatorImpl(Object inObject)`

### Method Summary

Methods
`Record` `createRecord(RecordFactory recordFactory)` Create a CCI Record instance, usually based on the passed-in CCI RecordFactory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MappingRecordOperation.RecordCreatorImpl

    public MappingRecordOperation.RecordCreatorImpl(Object inObject)

### Method Detail

#### createRecord

    public Record createRecord(RecordFactory recordFactory)
                        throws ResourceException,
                               DataAccessException

Description copied from interface: `RecordCreator`
Create a CCI Record instance, usually based on the passed-in CCI RecordFactory.

For use as input creator with CciTemplate's `execute` methods, this method should create a populated Record instance. For use as output Record creator, it should return an empty Record instance.

Specified by:
  `createRecord` in interface `RecordCreator`
Parameters:
  `recordFactory` - the CCI RecordFactory (never `null`, but not guaranteed to be supported by the connector: its create methods might throw NotSupportedException)
Returns:
  the Record instance
Throws:
  `ResourceException` - if thrown by a CCI method, to be auto-converted to a DataAccessException
  `DataAccessException` - in case of custom exceptions